<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Beta Ray Bill (2021)</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/Beta-Ray-Bill-2021-3-of-5/digital-comic/922623</Web>
  <Summary>BILL MARCHES INTO THE HEART OF DARKNESS! Beta Ray Bill takes a bloody path to find his glory — and the perfect weapon to forge it with! And he’s even got a few friends to brave the battle alongside him. But the journey is one even Odin would call treacherous…and not all of Bill’s friends will survive. At least not in the form you know. Daniel Warren Johnson and colorist Mike Spicer will break Bill’s heart — and yours!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB922623], [ASINB08WR71KL9], [RELDATE:2021-05-26]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
